import cairo
import sys, os

n_semi = ['d','c','b','s']

path = sys.path[0]

if not os.path.exists(path+'/mazzo'):
	os.makedirs(path+'/mazzo')

dim = [200,200]
w=275
h=400

pseudo = [
	[1,[w/2,h/2]],
	[0.6,[w*1/2,h*1/4],[w*1/2,h*3/4]],
	[0.5,[w*1/4,h*1/2],[w*3/4,h*5/6],[w*3/4,h*1/6]],
	[0.5,[w*1/4,h*1/4],[w*3/4,h*1/4],[w*1/4,h*3/4],[w*3/4,h*3/4]],
	[0.5,[w*1/4,h*1/6],[w*1/2,h*1/2],[w*1/4,h*5/6],[w*3/4,h*1/6],[w*3/4,h*5/6]],
	[0.5,[w*1/4,h*1/6],[w*1/4,h*1/2],[w*1/4,h*5/6],[w*3/4,h*1/6],[w*3/4,h*1/2],[w*3/4,h*5/6]],
	[0.3,[w*1/4,h*1/6],[w*1/4,h*1/2],[w*1/4,h*5/6],[w*3/4,h*1/6],[w*3/4,h*1/2],[w*3/4,h*5/6],[w*1/2,h*1/3]],
	[0.3,[w*1/4,h*1/6],[w*1/4,h*1/2],[w*1/4,h*5/6],[w*3/4,h*1/6],[w*3/4,h*1/2],[w*3/4,h*5/6],[w*1/2,h*1/3],[w*1/2,h*2/3]],
	[0.3,[w*1/4,h*1/8],[w*1/4,h*3/8],[w*1/4,h*5/8],[w*1/4,h*7/8],[w*3/4,h*1/8],[w*3/4,h*3/8],[w*3/4,h*5/8],[w*3/4,h*7/8],[w*1/2,h*1/4]],
	[0.3,[w*1/4,h*1/8],[w*1/4,h*3/8],[w*1/4,h*5/8],[w*1/4,h*7/8],[w*3/4,h*1/8],[w*3/4,h*3/8],[w*3/4,h*5/8],[w*3/4,h*7/8],[w*1/2,h*1/4],[w*1/2,h*3/4]]
	]
	
sym_schemes = []

n=0
while n<len(pseudo):
	d=[pseudo[n][0]*dim[0],pseudo[n][0]*dim[1]]
	sym_schemes.append([pseudo[n][0]])
	i=1
	while i<len(pseudo[n]):
		sym_schemes[n].append([int(pseudo[n][i][0]-d[0]/2),int(pseudo[n][i][1]-d[1]/2)])
		i=i+1
	n=n+1
		

background = cairo.ImageSurface.create_from_png(path+'/modello.png')

semi = sys.argv[1:]

n=0
while n<len(semi):
	seme = cairo.ImageSurface.create_from_png(path+'/'+semi[n])
	i=0
	while i<len(sym_schemes):
		surface = cairo.ImageSurface(cairo.FORMAT_ARGB32, 275, 400)
		cr = cairo.Context(surface)
		cr.set_source_surface(background)
		cr.paint()
		
		scaled_seme = cairo.ImageSurface(cairo.FORMAT_ARGB32, int(200*sym_schemes[i][0]), int(200*sym_schemes[i][0]))
		scale_cr = cairo.Context(scaled_seme)
		scale_cr.scale(sym_schemes[i][0],sym_schemes[i][0])
		scale_cr.set_source_surface(seme)
		scale_cr.paint()
		
		for sym in sym_schemes[i][1:]:
			cr.set_source_surface(scaled_seme,sym[0],sym[1])
			cr.paint()
		
		cr.set_font_size(60)
		x_bearing, y_bearing, width, height = cr.text_extents(str(i+1))[:4]
		cr.set_source_rgba(0,0,0,255)
		cr.select_font_face('Sans')
		cr.move_to(30, 30+height)
		#cr.show_text(str(i+1))
		cr.move_to(245-width, 370)
		#cr.show_text(str(i+1))
		
		surface.write_to_png(path+'/mazzo/'+str(i+1)+n_semi[n]+'.png')
		i=i+1
	n=n+1